Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7226 - lpr 0.46 printing fails "was not linked to the original file"
Summary: lpr 0.46 printing fails "was not linked to the original file"
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lpr
Version: 5.2
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-22 14:21 UTC by allbery
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-19 14:14:10 UTC


Attachments (Terms of Use)

Description allbery 1999-11-22 14:21:24 UTC
Printing with lpr 0.46 fails with: (example)

    Subject: tolkien printer job "<unknown>"
    Date: Mon, 22 Nov 1999 00:35:52 -0500
    From: bin <bin@sauterne.ece.cmu.edu>
    Reply-To: root@sauterne.ece.cmu.edu

    Your printer job
    was not printed because it was not linked to the original file

This does not happen on all systems (yet), but once it starts happening it
happens for all print jobs to all printers and can only be worked around by
allowing world read and search access to /var/spool/lpd/* (which raises
security issues).

strace'ing lpd reveals that the daemon spawned to process queue jobs is
doing

	setregid(-1, <random group ID>);
	setreuid(-1, <owner of print job>);

The group ID is random in the sense that a different group ID is "chosen"
every time lpd is restarted; if it happens to use the correct group ID
2(daemon) then printing will work until lpd is again restarted.

Comment 1 Bernhard Rosenkraenzer 1999-11-22 17:01:59 UTC
Can't reproduce it here - but I'll have a look at the source.
In the meantime, can you try the 0.47 version from rawhide?

Comment 2 allbery 1999-12-15 15:08:59 UTC
The problem appears to be that the required permissions on /var/spool/lpd/*
changed from what we have been using on Linux and other platforms.  The
randomness of the group IDs acquired by lpd is still perplexing but we can live
with it.

Comment 3 Bernhard Rosenkraenzer 2000-01-19 14:14:59 UTC
Should be fixed in 0.50


Note You need to log in before you can comment on or make changes to this bug.